Bug 1028578 - Status on Installed products not updated
Status on Installed products not updated
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: candlepin-bugs
John Sefler
:
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-11-08 14:44 EST by Sharath Dwaral
Modified: 2015-03-22 21:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-06 15:04:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
status not updated properly (1.04 MB, image/png)
2013-11-08 14:44 EST, Sharath Dwaral
no flags Details

  None (edit)
Description Sharath Dwaral 2013-11-08 14:44:22 EST
Created attachment 821744 [details]
status not updated properly

Description of problem:

*** This is not reproducible all the time but did see it couple of times ***

I did observe it couple of times when testing stacking and partially subscribing to subscriptions.Status on Installed product not updated

Version-Release number of selected component (if applicable):
# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.31-1
subscription-manager: 1.10.6-1.el7
python-rhsm: 1.10.6-1.el7

How reproducible:
Always

Steps to Reproduce:
1. Increse socket number so that you need more than one subscription to cover it
# subscription-manager facts --list | grep "_socket(s)"
cpu.cpu_socket(s): 20

2. Subscribe to a subscription partially

Actual results:
See attachment

Expected results:
1. Status of product on Installed products should be updated to "partially subscribed"
2. Status message should say 10 products as one of them is partially subscribed

Additional info:
Comment 2 Carter Kozak 2014-01-06 15:04:02 EST
This problem only occurred on early rhel7 builds, and is working now.  Additionally, some of the code that updates the gui and installed products based off of directory changes has been reworked since.

Feel free to reopen if the bug reoccurs.

Note You need to log in before you can comment on or make changes to this bug.